"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DisableKeyRotation_1 = require("../model/operations/DisableKeyRotation");
var DisableKeyRotationCommand = /** @class */ (function () {
    function DisableKeyRotationCommand(input) {
        this.input = input;
        this.model = DisableKeyRotation_1.DisableKeyRotation;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DisableKeyRotationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DisableKeyRotationCommand;
}());
exports.DisableKeyRotationCommand = DisableKeyRotationCommand;
//# sourceMappingURL=DisableKeyRotationCommand.js.map