import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GenerateDataKeyInput } from "../types/GenerateDataKeyInput";
import { GenerateDataKeyOutput } from "../types/GenerateDataKeyOutput";
import { KMSResolvedConfiguration } from "../KMSConfiguration";
export * from "../types/GenerateDataKeyInput";
export * from "../types/GenerateDataKeyOutput";
export * from "../types/GenerateDataKeyExceptionsUnion";
export declare class GenerateDataKeyCommand implements __aws_sdk_types.Command<InputTypesUnion, GenerateDataKeyInput, OutputTypesUnion, GenerateDataKeyOutput, KMSResolvedConfiguration, Blob> {
    readonly input: GenerateDataKeyInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GenerateDataKeyInput, GenerateDataKeyOutput, Blob>;
    constructor(input: GenerateDataKeyInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: KMSResolvedConfiguration): __aws_sdk_types.Handler<GenerateDataKeyInput, GenerateDataKeyOutput>;
}
