import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListGrantsInput } from "../types/ListGrantsInput";
import { ListGrantsOutput } from "../types/ListGrantsOutput";
import { KMSResolvedConfiguration } from "../KMSConfiguration";
export * from "../types/ListGrantsInput";
export * from "../types/ListGrantsOutput";
export * from "../types/ListGrantsExceptionsUnion";
export declare class ListGrantsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListGrantsInput, OutputTypesUnion, ListGrantsOutput, KMSResolvedConfiguration, Blob> {
    readonly input: ListGrantsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListGrantsInput, ListGrantsOutput, Blob>;
    constructor(input: ListGrantsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: KMSResolvedConfiguration): __aws_sdk_types.Handler<ListGrantsInput, ListGrantsOutput>;
}
