import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListRetirableGrantsInput } from "../types/ListRetirableGrantsInput";
import { ListRetirableGrantsOutput } from "../types/ListRetirableGrantsOutput";
import { KMSResolvedConfiguration } from "../KMSConfiguration";
export * from "../types/ListRetirableGrantsInput";
export * from "../types/ListRetirableGrantsOutput";
export * from "../types/ListRetirableGrantsExceptionsUnion";
export declare class ListRetirableGrantsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListRetirableGrantsInput, OutputTypesUnion, ListRetirableGrantsOutput, KMSResolvedConfiguration, Blob> {
    readonly input: ListRetirableGrantsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListRetirableGrantsInput, ListRetirableGrantsOutput, Blob>;
    constructor(input: ListRetirableGrantsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: KMSResolvedConfiguration): __aws_sdk_types.Handler<ListRetirableGrantsInput, ListRetirableGrantsOutput>;
}
