"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateCustomKeyStore_1 = require("../model/operations/UpdateCustomKeyStore");
var UpdateCustomKeyStoreCommand = /** @class */ (function () {
    function UpdateCustomKeyStoreCommand(input) {
        this.input = input;
        this.model = UpdateCustomKeyStore_1.UpdateCustomKeyStore;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateCustomKeyStoreCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateCustomKeyStoreCommand;
}());
exports.UpdateCustomKeyStoreCommand = UpdateCustomKeyStoreCommand;
//# sourceMappingURL=UpdateCustomKeyStoreCommand.js.map