"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetKeyRotationStatusInput_1 = require("../shapes/GetKeyRotationStatusInput");
var GetKeyRotationStatusOutput_1 = require("../shapes/GetKeyRotationStatusOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var InvalidArnException_1 = require("../shapes/InvalidArnException");
var DependencyTimeoutException_1 = require("../shapes/DependencyTimeoutException");
var KMSInternalException_1 = require("../shapes/KMSInternalException");
var KMSInvalidStateException_1 = require("../shapes/KMSInvalidStateException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetKeyRotationStatus = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetKeyRotationStatus",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetKeyRotationStatusInput_1.GetKeyRotationStatusInput
    },
    output: {
        shape: GetKeyRotationStatusOutput_1.GetKeyRotationStatusOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        },
        {
            shape: DependencyTimeoutException_1.DependencyTimeoutException
        },
        {
            shape: KMSInternalException_1.KMSInternalException
        },
        {
            shape: KMSInvalidStateException_1.KMSInvalidStateException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        }
    ]
};
//# sourceMappingURL=GetKeyRotationStatus.js.map