"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateCustomKeyStoreInput_1 = require("../shapes/UpdateCustomKeyStoreInput");
var UpdateCustomKeyStoreOutput_1 = require("../shapes/UpdateCustomKeyStoreOutput");
var CustomKeyStoreNotFoundException_1 = require("../shapes/CustomKeyStoreNotFoundException");
var CloudHsmClusterNotFoundException_1 = require("../shapes/CloudHsmClusterNotFoundException");
var CloudHsmClusterNotRelatedException_1 = require("../shapes/CloudHsmClusterNotRelatedException");
var CustomKeyStoreInvalidStateException_1 = require("../shapes/CustomKeyStoreInvalidStateException");
var KMSInternalException_1 = require("../shapes/KMSInternalException");
var CloudHsmClusterNotActiveException_1 = require("../shapes/CloudHsmClusterNotActiveException");
var CloudHsmClusterInvalidConfigurationException_1 = require("../shapes/CloudHsmClusterInvalidConfigurationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateCustomKeyStore = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateCustomKeyStore",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateCustomKeyStoreInput_1.UpdateCustomKeyStoreInput
    },
    output: {
        shape: UpdateCustomKeyStoreOutput_1.UpdateCustomKeyStoreOutput
    },
    errors: [
        {
            shape: CustomKeyStoreNotFoundException_1.CustomKeyStoreNotFoundException
        },
        {
            shape: CloudHsmClusterNotFoundException_1.CloudHsmClusterNotFoundException
        },
        {
            shape: CloudHsmClusterNotRelatedException_1.CloudHsmClusterNotRelatedException
        },
        {
            shape: CustomKeyStoreInvalidStateException_1.CustomKeyStoreInvalidStateException
        },
        {
            shape: KMSInternalException_1.KMSInternalException
        },
        {
            shape: CloudHsmClusterNotActiveException_1.CloudHsmClusterNotActiveException
        },
        {
            shape: CloudHsmClusterInvalidConfigurationException_1.CloudHsmClusterInvalidConfigurationException
        }
    ]
};
//# sourceMappingURL=UpdateCustomKeyStore.js.map