"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _GrantOperationList_1 = require("./_GrantOperationList");
var _GrantConstraints_1 = require("./_GrantConstraints");
var _GrantTokenList_1 = require("./_GrantTokenList");
exports.CreateGrantInput = {
    type: "structure",
    required: ["KeyId", "GranteePrincipal", "Operations"],
    members: {
        KeyId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        GranteePrincipal: {
            shape: {
                type: "string",
                min: 1
            }
        },
        RetiringPrincipal: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Operations: {
            shape: _GrantOperationList_1._GrantOperationList
        },
        Constraints: {
            shape: _GrantConstraints_1._GrantConstraints
        },
        GrantTokens: {
            shape: _GrantTokenList_1._GrantTokenList
        },
        Name: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=CreateGrantInput.js.map