"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _EncryptionContextType_1 = require("./_EncryptionContextType");
var _GrantTokenList_1 = require("./_GrantTokenList");
exports.GenerateDataKeyInput = {
    type: "structure",
    required: ["KeyId"],
    members: {
        KeyId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        EncryptionContext: {
            shape: _EncryptionContextType_1._EncryptionContextType
        },
        NumberOfBytes: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        KeySpec: {
            shape: {
                type: "string"
            }
        },
        GrantTokens: {
            shape: _GrantTokenList_1._GrantTokenList
        }
    }
};
//# sourceMappingURL=GenerateDataKeyInput.js.map