"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PutKeyPolicyInput = {
    type: "structure",
    required: ["KeyId", "PolicyName", "Policy"],
    members: {
        KeyId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        PolicyName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Policy: {
            shape: {
                type: "string",
                min: 1
            }
        },
        BypassPolicyLockoutSafetyCheck: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=PutKeyPolicyInput.js.map