"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateCustomKeyStoreInput = {
    type: "structure",
    required: ["CustomKeyStoreId"],
    members: {
        CustomKeyStoreId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        NewCustomKeyStoreName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        KeyStorePassword: {
            shape: {
                type: "string",
                sensitive: true,
                min: 1
            }
        },
        CloudHsmClusterId: {
            shape: {
                type: "string",
                min: 19
            }
        }
    }
};
//# sourceMappingURL=UpdateCustomKeyStoreInput.js.map