import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ConnectCustomKeyStoreInput } from "../types/ConnectCustomKeyStoreInput";
import { ConnectCustomKeyStoreOutput } from "../types/ConnectCustomKeyStoreOutput";
import { KMSResolvedConfiguration } from "../KMSConfiguration";
export * from "../types/ConnectCustomKeyStoreInput";
export * from "../types/ConnectCustomKeyStoreOutput";
export * from "../types/ConnectCustomKeyStoreExceptionsUnion";
export declare class ConnectCustomKeyStoreCommand implements __aws_sdk_types.Command<InputTypesUnion, ConnectCustomKeyStoreInput, OutputTypesUnion, ConnectCustomKeyStoreOutput, KMSResolvedConfiguration, Blob> {
    readonly input: ConnectCustomKeyStoreInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ConnectCustomKeyStoreInput, ConnectCustomKeyStoreOutput, Blob>;
    constructor(input: ConnectCustomKeyStoreInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: KMSResolvedConfiguration): __aws_sdk_types.Handler<ConnectCustomKeyStoreInput, ConnectCustomKeyStoreOutput>;
}
