import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteCustomKeyStoreInput } from "../types/DeleteCustomKeyStoreInput";
import { DeleteCustomKeyStoreOutput } from "../types/DeleteCustomKeyStoreOutput";
import { KMSResolvedConfiguration } from "../KMSConfiguration";
export * from "../types/DeleteCustomKeyStoreInput";
export * from "../types/DeleteCustomKeyStoreOutput";
export * from "../types/DeleteCustomKeyStoreExceptionsUnion";
export declare class DeleteCustomKeyStoreCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteCustomKeyStoreInput, OutputTypesUnion, DeleteCustomKeyStoreOutput, KMSResolvedConfiguration, Blob> {
    readonly input: DeleteCustomKeyStoreInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteCustomKeyStoreInput, DeleteCustomKeyStoreOutput, Blob>;
    constructor(input: DeleteCustomKeyStoreInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: KMSResolvedConfiguration): __aws_sdk_types.Handler<DeleteCustomKeyStoreInput, DeleteCustomKeyStoreOutput>;
}
