import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteImportedKeyMaterialInput } from "../types/DeleteImportedKeyMaterialInput";
import { DeleteImportedKeyMaterialOutput } from "../types/DeleteImportedKeyMaterialOutput";
import { KMSResolvedConfiguration } from "../KMSConfiguration";
export * from "../types/DeleteImportedKeyMaterialInput";
export * from "../types/DeleteImportedKeyMaterialOutput";
export * from "../types/DeleteImportedKeyMaterialExceptionsUnion";
export declare class DeleteImportedKeyMaterialCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteImportedKeyMaterialInput, OutputTypesUnion, DeleteImportedKeyMaterialOutput, KMSResolvedConfiguration, Blob> {
    readonly input: DeleteImportedKeyMaterialInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteImportedKeyMaterialInput, DeleteImportedKeyMaterialOutput, Blob>;
    constructor(input: DeleteImportedKeyMaterialInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: KMSResolvedConfiguration): __aws_sdk_types.Handler<DeleteImportedKeyMaterialInput, DeleteImportedKeyMaterialOutput>;
}
