import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DisableKeyInput } from "../types/DisableKeyInput";
import { DisableKeyOutput } from "../types/DisableKeyOutput";
import { KMSResolvedConfiguration } from "../KMSConfiguration";
export * from "../types/DisableKeyInput";
export * from "../types/DisableKeyOutput";
export * from "../types/DisableKeyExceptionsUnion";
export declare class DisableKeyCommand implements __aws_sdk_types.Command<InputTypesUnion, DisableKeyInput, OutputTypesUnion, DisableKeyOutput, KMSResolvedConfiguration, Blob> {
    readonly input: DisableKeyInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DisableKeyInput, DisableKeyOutput, Blob>;
    constructor(input: DisableKeyInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: KMSResolvedConfiguration): __aws_sdk_types.Handler<DisableKeyInput, DisableKeyOutput>;
}
