import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { EnableKeyRotationInput } from "../types/EnableKeyRotationInput";
import { EnableKeyRotationOutput } from "../types/EnableKeyRotationOutput";
import { KMSResolvedConfiguration } from "../KMSConfiguration";
export * from "../types/EnableKeyRotationInput";
export * from "../types/EnableKeyRotationOutput";
export * from "../types/EnableKeyRotationExceptionsUnion";
export declare class EnableKeyRotationCommand implements __aws_sdk_types.Command<InputTypesUnion, EnableKeyRotationInput, OutputTypesUnion, EnableKeyRotationOutput, KMSResolvedConfiguration, Blob> {
    readonly input: EnableKeyRotationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<EnableKeyRotationInput, EnableKeyRotationOutput, Blob>;
    constructor(input: EnableKeyRotationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: KMSResolvedConfiguration): __aws_sdk_types.Handler<EnableKeyRotationInput, EnableKeyRotationOutput>;
}
