import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetKeyPolicyInput } from "../types/GetKeyPolicyInput";
import { GetKeyPolicyOutput } from "../types/GetKeyPolicyOutput";
import { KMSResolvedConfiguration } from "../KMSConfiguration";
export * from "../types/GetKeyPolicyInput";
export * from "../types/GetKeyPolicyOutput";
export * from "../types/GetKeyPolicyExceptionsUnion";
export declare class GetKeyPolicyCommand implements __aws_sdk_types.Command<InputTypesUnion, GetKeyPolicyInput, OutputTypesUnion, GetKeyPolicyOutput, KMSResolvedConfiguration, Blob> {
    readonly input: GetKeyPolicyInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetKeyPolicyInput, GetKeyPolicyOutput, Blob>;
    constructor(input: GetKeyPolicyInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: KMSResolvedConfiguration): __aws_sdk_types.Handler<GetKeyPolicyInput, GetKeyPolicyOutput>;
}
