import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ImportKeyMaterialInput } from "../types/ImportKeyMaterialInput";
import { ImportKeyMaterialOutput } from "../types/ImportKeyMaterialOutput";
import { KMSResolvedConfiguration } from "../KMSConfiguration";
export * from "../types/ImportKeyMaterialInput";
export * from "../types/ImportKeyMaterialOutput";
export * from "../types/ImportKeyMaterialExceptionsUnion";
export declare class ImportKeyMaterialCommand implements __aws_sdk_types.Command<InputTypesUnion, ImportKeyMaterialInput, OutputTypesUnion, ImportKeyMaterialOutput, KMSResolvedConfiguration, Blob> {
    readonly input: ImportKeyMaterialInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ImportKeyMaterialInput, ImportKeyMaterialOutput, Blob>;
    constructor(input: ImportKeyMaterialInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: KMSResolvedConfiguration): __aws_sdk_types.Handler<ImportKeyMaterialInput, ImportKeyMaterialOutput>;
}
