import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListKeyPoliciesInput } from "../types/ListKeyPoliciesInput";
import { ListKeyPoliciesOutput } from "../types/ListKeyPoliciesOutput";
import { KMSResolvedConfiguration } from "../KMSConfiguration";
export * from "../types/ListKeyPoliciesInput";
export * from "../types/ListKeyPoliciesOutput";
export * from "../types/ListKeyPoliciesExceptionsUnion";
export declare class ListKeyPoliciesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListKeyPoliciesInput, OutputTypesUnion, ListKeyPoliciesOutput, KMSResolvedConfiguration, Blob> {
    readonly input: ListKeyPoliciesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListKeyPoliciesInput, ListKeyPoliciesOutput, Blob>;
    constructor(input: ListKeyPoliciesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: KMSResolvedConfiguration): __aws_sdk_types.Handler<ListKeyPoliciesInput, ListKeyPoliciesOutput>;
}
