"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListRetirableGrants_1 = require("../model/operations/ListRetirableGrants");
var ListRetirableGrantsCommand = /** @class */ (function () {
    function ListRetirableGrantsCommand(input) {
        this.input = input;
        this.model = ListRetirableGrants_1.ListRetirableGrants;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListRetirableGrantsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListRetirableGrantsCommand;
}());
exports.ListRetirableGrantsCommand = ListRetirableGrantsCommand;
//# sourceMappingURL=ListRetirableGrantsCommand.js.map