import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ScheduleKeyDeletionInput } from "../types/ScheduleKeyDeletionInput";
import { ScheduleKeyDeletionOutput } from "../types/ScheduleKeyDeletionOutput";
import { KMSResolvedConfiguration } from "../KMSConfiguration";
export * from "../types/ScheduleKeyDeletionInput";
export * from "../types/ScheduleKeyDeletionOutput";
export * from "../types/ScheduleKeyDeletionExceptionsUnion";
export declare class ScheduleKeyDeletionCommand implements __aws_sdk_types.Command<InputTypesUnion, ScheduleKeyDeletionInput, OutputTypesUnion, ScheduleKeyDeletionOutput, KMSResolvedConfiguration, Blob> {
    readonly input: ScheduleKeyDeletionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ScheduleKeyDeletionInput, ScheduleKeyDeletionOutput, Blob>;
    constructor(input: ScheduleKeyDeletionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: KMSResolvedConfiguration): __aws_sdk_types.Handler<ScheduleKeyDeletionInput, ScheduleKeyDeletionOutput>;
}
