"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CancelKeyDeletionInput_1 = require("../shapes/CancelKeyDeletionInput");
var CancelKeyDeletionOutput_1 = require("../shapes/CancelKeyDeletionOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var InvalidArnException_1 = require("../shapes/InvalidArnException");
var DependencyTimeoutException_1 = require("../shapes/DependencyTimeoutException");
var KMSInternalException_1 = require("../shapes/KMSInternalException");
var KMSInvalidStateException_1 = require("../shapes/KMSInvalidStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CancelKeyDeletion = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CancelKeyDeletion",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CancelKeyDeletionInput_1.CancelKeyDeletionInput
    },
    output: {
        shape: CancelKeyDeletionOutput_1.CancelKeyDeletionOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        },
        {
            shape: DependencyTimeoutException_1.DependencyTimeoutException
        },
        {
            shape: KMSInternalException_1.KMSInternalException
        },
        {
            shape: KMSInvalidStateException_1.KMSInvalidStateException
        }
    ]
};
//# sourceMappingURL=CancelKeyDeletion.js.map