"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteCustomKeyStoreInput_1 = require("../shapes/DeleteCustomKeyStoreInput");
var DeleteCustomKeyStoreOutput_1 = require("../shapes/DeleteCustomKeyStoreOutput");
var CustomKeyStoreHasCMKsException_1 = require("../shapes/CustomKeyStoreHasCMKsException");
var CustomKeyStoreInvalidStateException_1 = require("../shapes/CustomKeyStoreInvalidStateException");
var CustomKeyStoreNotFoundException_1 = require("../shapes/CustomKeyStoreNotFoundException");
var KMSInternalException_1 = require("../shapes/KMSInternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteCustomKeyStore = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteCustomKeyStore",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteCustomKeyStoreInput_1.DeleteCustomKeyStoreInput
    },
    output: {
        shape: DeleteCustomKeyStoreOutput_1.DeleteCustomKeyStoreOutput
    },
    errors: [
        {
            shape: CustomKeyStoreHasCMKsException_1.CustomKeyStoreHasCMKsException
        },
        {
            shape: CustomKeyStoreInvalidStateException_1.CustomKeyStoreInvalidStateException
        },
        {
            shape: CustomKeyStoreNotFoundException_1.CustomKeyStoreNotFoundException
        },
        {
            shape: KMSInternalException_1.KMSInternalException
        }
    ]
};
//# sourceMappingURL=DeleteCustomKeyStore.js.map