"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DisableKeyRotationInput_1 = require("../shapes/DisableKeyRotationInput");
var DisableKeyRotationOutput_1 = require("../shapes/DisableKeyRotationOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var DisabledException_1 = require("../shapes/DisabledException");
var InvalidArnException_1 = require("../shapes/InvalidArnException");
var DependencyTimeoutException_1 = require("../shapes/DependencyTimeoutException");
var KMSInternalException_1 = require("../shapes/KMSInternalException");
var KMSInvalidStateException_1 = require("../shapes/KMSInvalidStateException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DisableKeyRotation = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DisableKeyRotation",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DisableKeyRotationInput_1.DisableKeyRotationInput
    },
    output: {
        shape: DisableKeyRotationOutput_1.DisableKeyRotationOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: DisabledException_1.DisabledException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        },
        {
            shape: DependencyTimeoutException_1.DependencyTimeoutException
        },
        {
            shape: KMSInternalException_1.KMSInternalException
        },
        {
            shape: KMSInvalidStateException_1.KMSInvalidStateException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        }
    ]
};
//# sourceMappingURL=DisableKeyRotation.js.map