"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListKeyPoliciesInput_1 = require("../shapes/ListKeyPoliciesInput");
var ListKeyPoliciesOutput_1 = require("../shapes/ListKeyPoliciesOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var InvalidArnException_1 = require("../shapes/InvalidArnException");
var DependencyTimeoutException_1 = require("../shapes/DependencyTimeoutException");
var KMSInternalException_1 = require("../shapes/KMSInternalException");
var KMSInvalidStateException_1 = require("../shapes/KMSInvalidStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListKeyPolicies = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListKeyPolicies",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListKeyPoliciesInput_1.ListKeyPoliciesInput
    },
    output: {
        shape: ListKeyPoliciesOutput_1.ListKeyPoliciesOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        },
        {
            shape: DependencyTimeoutException_1.DependencyTimeoutException
        },
        {
            shape: KMSInternalException_1.KMSInternalException
        },
        {
            shape: KMSInvalidStateException_1.KMSInvalidStateException
        }
    ]
};
//# sourceMappingURL=ListKeyPolicies.js.map