"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ScheduleKeyDeletionInput_1 = require("../shapes/ScheduleKeyDeletionInput");
var ScheduleKeyDeletionOutput_1 = require("../shapes/ScheduleKeyDeletionOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var InvalidArnException_1 = require("../shapes/InvalidArnException");
var DependencyTimeoutException_1 = require("../shapes/DependencyTimeoutException");
var KMSInternalException_1 = require("../shapes/KMSInternalException");
var KMSInvalidStateException_1 = require("../shapes/KMSInvalidStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ScheduleKeyDeletion = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ScheduleKeyDeletion",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ScheduleKeyDeletionInput_1.ScheduleKeyDeletionInput
    },
    output: {
        shape: ScheduleKeyDeletionOutput_1.ScheduleKeyDeletionOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        },
        {
            shape: DependencyTimeoutException_1.DependencyTimeoutException
        },
        {
            shape: KMSInternalException_1.KMSInternalException
        },
        {
            shape: KMSInvalidStateException_1.KMSInvalidStateException
        }
    ]
};
//# sourceMappingURL=ScheduleKeyDeletion.js.map