"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _EncryptionContextType_1 = require("./_EncryptionContextType");
var _GrantTokenList_1 = require("./_GrantTokenList");
exports.DecryptInput = {
    type: "structure",
    required: ["CiphertextBlob"],
    members: {
        CiphertextBlob: {
            shape: {
                type: "blob"
            }
        },
        EncryptionContext: {
            shape: _EncryptionContextType_1._EncryptionContextType
        },
        GrantTokens: {
            shape: _GrantTokenList_1._GrantTokenList
        }
    }
};
//# sourceMappingURL=DecryptInput.js.map