"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _EncryptionContextType_1 = require("./_EncryptionContextType");
var _GrantTokenList_1 = require("./_GrantTokenList");
exports.EncryptInput = {
    type: "structure",
    required: ["KeyId", "Plaintext"],
    members: {
        KeyId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Plaintext: {
            shape: {
                type: "blob",
                sensitive: true
            }
        },
        EncryptionContext: {
            shape: _EncryptionContextType_1._EncryptionContextType
        },
        GrantTokens: {
            shape: _GrantTokenList_1._GrantTokenList
        }
    }
};
//# sourceMappingURL=EncryptInput.js.map